Redmine - Defect #10699

Graph activities plugins error with redmine 1.4.x
2012-04-18 17:49 - Nabil Faouzi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Core Plugins Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.4.0
Description

Hi,

The redmine_graph_activities plugins failed with redmine 1.4.0

I've updated to latest version and remigrate plugins into database, but nothing:
ActionView::TemplateError (No route matches {:controller=>"graph_activities" ....
And renderring an 500 Internal error!

It's just for help someone in this case.

Thanks

History

#1 - 2012-04-18 17:56 - Etienne Massip
- Status changed from New to Closed

- Resolution changed from Fixed to Invalid
Please contact the plugin author and/or post in Plugins forum, the tracker is for Redmine core.
#2 - 2012-04-18 23:21 - Cassiano Monteiro
You can work around it by creating the file config/routes.rb (inside the plugin folder), with the contents following that pattern:
ActionController::Routing: :Routes.draw do |map]|
map.connect '/controller_name/action_name', :controller => 'controller_name', :action => 'action_name'

end

Replace the controller_name and action_name by the ones you are getting on your error log. Create one line like that for each route that you get an
error.

2024-05-21 1/1



https://www.redmine.org/projects/redmine/boards/3
http://www.tcpdf.org

